|  | Home | Documentation | uddi2__save_USCOREbusiness Class Reference updated by Robert van Engelen |

Public Member Functions | Public Attributes | List of all members
uddi2__save_USCOREbusiness Class Reference

Schema urn:uddi-org:api_v2:"save_business". More...

`#include <uddi_v2.h>`

## Public Member Functions

| uddi2__save_USCOREbusiness (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__save_USCOREbusiness (struct soap *, uddi2__businessEntity &businessEntity)
| Member declared in uddi2-typemap.dat.
| uddi2__save_USCOREbusiness (struct soap *, std::vector< uddi2__businessEntity * > businessEntities)
| Member declared in uddi2-typemap.dat.
uddi2__businessDetail * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat.

## Public Attributes

char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo.
std::vector< uddi2__businessEntity * > | businessEntity
| Vector of uddi2__businessEntity* with length 0..unbounded.
std::vector< char * > | uploadRegister
| Vector of char* with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"save_business".

Represents a request to post business information on a UDDI server.

See @url http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137743

## Constructor & Destructor Documentation

## ◆ uddi2__save_USCOREbusiness() [1/3]

uddi2__save_USCOREbusiness::uddi2__save_USCOREbusiness | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the save_USCOREbusiness class.

## ◆ uddi2__save_USCOREbusiness() [2/3]

uddi2__save_USCOREbusiness::uddi2__save_USCOREbusiness | ( | struct soap * | soap,
|  | uddi2__businessEntity & | businessEntity )

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | businessEntity | business entity

Creates an instance of the save_USCOREbusiness class using the specified business entity.

## ◆ uddi2__save_USCOREbusiness() [3/3]

uddi2__save_USCOREbusiness::uddi2__save_USCOREbusiness | ( | struct soap * | soap,
|  | std::vector< uddi2__businessEntity * > | businessEntities )

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | businessEntities | collection of business entities

Creates an instance of the save_USCOREbusiness class using the specified business entities.

## Member Function Documentation

## ◆ send()

uddi2__businessDetail * uddi2__save_USCOREbusiness::send | ( | const char * | endpoint,
|  | char * | authInfo )

Member declared in uddi2-typemap.dat.

Parameters

  [in] | endpoint | URL of the UDDI server
  [in] | authInfo | authorization token provided by the UDDI server

Returns
  A pointer to a uddi2__businessDetail object or NULL on error

Send a request to a UDDI server to post business information on the server.

## Member Data Documentation

## ◆ authInfo

char* uddi2__save_USCOREbusiness::authInfo

Element reference "urn:uddi-org:api_v2":authInfo.

Required element

## ◆ businessEntity

std::vector<uddi2__businessEntity* > uddi2__save_USCOREbusiness::businessEntity

Vector of uddi2__businessEntity* with length 0..unbounded.

## ◆ generic

char* uddi2__save_USCOREbusiness::generic

Attribute generic of type xs:string.

Required attribute

## ◆ soap

struct soap* uddi2__save_USCOREbusiness::soap

A handle to the soap struct context that manages this class instance.

## ◆ uploadRegister

std::vector<char* > uddi2__save_USCOREbusiness::uploadRegister

Vector of char* with length 0..unbounded.

The documentation for this class was generated from the following file:

- uddi_v2.h